Build errors when using ERIKA V2

Forum related to ERIKA Enterprise and RT-Druid version 2

Moderator: paolo.gai

Post Reply
Junjie
Newbie
Posts: 6
Joined: Wed Mar 07, 2018 4:00 pm

Build errors when using ERIKA V2

Post by Junjie » Fri Mar 16, 2018 4:27 pm

Hi.

I have downloaded the latest version of ERIKA Enterprise and RT-Druid v2, and run it on Ubuntu 16.04_64b.
I have followed the instruction of the tutorial (http://erika.tuxfamily.org/wiki/index.p ... Linux_host). Since the Microchip C30 is not available, I just download the latest version of Microchip XC16 as the compiler for the demo "pic30-> FLEX Demo Board -> OO examples -> Task Demo".
However, when I try to build the project, the error happens in the middle of the compilation:
/* **************************** */
...
/home/junjie/ERIKA/eclipse/plugins/com.eu.evidence.ee_2.8.0.20171025_0922/ee_files/pkg/kernel/oo/inc/ee_oo_internal.h:681:21: warning: array subscript is below array bounds
CPP ee_ulockallres.c
AR libee.a
LD
/opt/microchip/xc16/v1.33/bin/bin/elf-ld:loc_gnu.ld:40: ignoring invalid character `#' in expression
/home/junjie/ERIKA/eclipse/plugins/com.eu.evidence.ee_2.8.0.20171025_0922/ee_files/pkg/cfg/arch/rules_microchip_pic30.mk:251: recipe for target 'pic30.elf' failed
/opt/microchip/xc16/v1.33/bin/bin/elf-ld:loc_gnu.ld:40: syntax error
make: *** [pic30.elf] Error 1
/* **************************** */
It seem that in some files, you comment the line using "//#define...". In some cases, it may cause syntax error?
Any suggestions?

Junjie
Newbie
Posts: 6
Joined: Wed Mar 07, 2018 4:00 pm

Re: Build errors when using ERIKA V2

Post by Junjie » Tue Mar 20, 2018 1:41 pm

Since the Microchip compiler "MPLAB C30" is out of date and cannot be obtained from their official website, I have tried the latest version of "MPLAB XC16" on windows 10_64b. I have the same error as aforementioned.
However, there is no such error if I using the "MPLAB C30" (download from other site) as the default compiler.

Thus, such error is not caused by "//#define". It is the problem of the compiler.

paolo.gai
Administrator
Posts: 864
Joined: Thu Dec 07, 2006 12:11 pm

Re: Build errors when using ERIKA V2

Post by paolo.gai » Tue Mar 20, 2018 2:48 pm

Dear all,

Thanks for your e-mails. Indeed the version of the compiler we support for the dsPIC is quite old. We'll have to do something on it, likely in the next months (I can anticipate there will be a dsPIC release for ERIKA in the next two months... :-) )

Ciao,

PJ

Post Reply